
#include "support.h"
#include "ivt.h"
#include <stdlib.h>

void wvInitMSZP(MSZP *item)
{
	item->compr = NULL;
}

void wvGetMSZP(MSZP *item,FILE *fd)
{
	fread(item->id,1,4,fd);
	if ((item->id[2] != 'z') && (item->id[3] != 'p'))
		return;
	item->uncomprLen1 = read_32ubit(fd);
	item->unknown = read_32ubit(fd);
	item->uncomprLen = read_16ubit(fd);
	item->comprLen = read_16ubit(fd);

	/* Read in the file contents */
	item->compr = (U8 *) malloc(item->comprLen);
	fread(item->compr, item->comprLen, 1, fd);
}


void wvReleaseMSZP(MSZP *item)
{
	if (item->compr) 
		free(item->compr);
}
